Skip to main content
`Ctrl`+`K`

# VecOperation

Enumeration of overide-able methods in the `Vec` implementation function-table.

## Synopsis

    typedef enum {
      VECOP_DUPLICATE  = 0,
      VECOP_SET        = 10,
      VECOP_VIEW       = 33,
      VECOP_LOAD       = 41,
      VECOP_VIEWNATIVE = 68,
      VECOP_LOADNATIVE = 69
    } VecOperation;

## Values

- `VECOP_DUPLICATE` - `VecDuplicate()`

- `VECOP_SET` - `VecSet()`

- `VECOP_VIEW` - `VecView()`

- `VECOP_LOAD` - `VecLoad()`

- `VECOP_VIEWNATIVE` - `VecViewNative()`

- `VECOP_LOADNATIVE` - `VecLoadNative()`

## Notes

Some operations may serve as the implementation for other routines not listed above. For example `VECOP_SET` can be used to simultaneously overriding the implementation used in `VecSet()`, `VecSetInf()`, and `VecZeroEntries()`.

Entries to `VecOperation` are added as needed so if you do not see the operation listed which you’d like to replace, please send mail to `petsc-maint@mcs.anl.gov`!

## See Also

Vectors and Parallel Data, `Vec`, `VecSetOperation()`

## Level

advanced

## Location

include/petscvec.h

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages